#include <stdio.h>
#include <stdlib.h>
#include<math.h>

int main()
{
    int A,N,a,x,b,c,d,e,m,z;
    printf("Adja meg az osszpontszamot:");
    scanf("%d",&N);
    printf("Adja meg a minimalis ponthatart:");
    scanf("%d",&A);
    a=(N-5*A)/5;
    b=((N-5*A)-a)/4;
    x=a+b;
    c=((N-5*A)-x)/3;
    m=a+b+c;
    d=((N-5*A)-m)/2;
    z=a+b+c+d;
    e=(N-5*A)-z;
    if (N<125||N>240)
        printf("-1");
    else
         {printf("%d %d\n",A,a);
         printf("%d %d\n",b,A);
         printf("%d %d\n",A,c);
         printf("%d %d\n",d,A);
         printf("%d %d\n",A,e);
         }


}